<ngx-spinner
  bdColor="rgba(89, 87, 87, 0.7)"
  size="medium"
  color="#ffffff"
  z-index="1"
  type="ball-clip-rotate"
  [fullScreen]="true"
>
  <h6 style="color: #ffffff; font-size: 18px">Downloading...</h6>
</ngx-spinner>
<div class="main">
  <mat-sidenav-container>
    <mat-sidenav #sidenav mode="side" opened>
      <form [formGroup]="myForm">
        <h4>Select Certificate</h4>
        <input
          type="file"
          accept="image/png, image/jpeg"
          (change)="selectFile($event)"
          formControlName="image"
        />
        <label>Accepts only .png and .jpg file</label>

        <hr />

        <h4>Add Fields</h4>
        <button class="buttons" (click)="addField()">Add field</button>
        <div
          formArrayName="fields"
          *ngFor="let email of addFields.controls; let i = index"
        >
          <div class="select" style="font-size: 16px">
            <mat-form-field class="example">
              <mat-label>Add Fields</mat-label>
              <input
                matInput
                type="text"
                placeholder="Add fields"
                [formControlName]="i"
              />
            </mat-form-field>
            <button class="buttonr" (click)="deleteFields(i)">Delete</button>
          </div>
        </div>

        <hr />

        <h4>Upload Excel Sheet</h4>
        <input
          type="file"
          formControlName="excel"
          accept=".xlsx, .xls"
          (change)="onFileChange($event)"
        />
        <label>Accepts only .xlsx and .xls file</label>
        <mat-form-field class="example" appearance="fill">
          <mat-label>Select the Sheet</mat-label>
          <mat-select [(value)]="selectedSheet" (valueChange)="selectChange()">
            <mat-option
              *ngFor="let sheetlist of sheetlists | keyvalue"
              [value]="sheetlist.key"
            >
              {{ sheetlist.value }}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <button class="button" (click)="salutation()">Title</button>

        <hr />

        <h4 class="elv">Resize Certificate</h4>
        <div class="select" style="font-size: 16px">
          <mat-form-field class="example-full-width">
            <input
              matInput
              type="number"
              maxlength="4"
              placeholder="Height"
              #height
            />
          </mat-form-field>

          <mat-form-field class="example-full-width">
            <input
              matInput
              type="number"
              maxlength="4"
              placeholder="Width"
              #width
            />
          </mat-form-field>
          <button
            class="button"
            *ngIf="!cancleResize"
            (click)="resize(height.value, width.value)"
          >
            Resize
          </button>
          <button
            class="buttonr"
            stye="background: red"
            *ngIf="cancleResize"
            (click)="cancelResize()"
          >
            Cancel
          </button>
        </div>

        <hr />

        <h4 class="elv">Upload Custom Font</h4>
        <div class="select">
          <input
            id="fontss"
            style="width: 64%"
            type="file"
            accept=".ttf"
            (change)="selectFont($event)"
          />
          <button class="button" (click)="changeFont()">Change</button>
        </div>
        <label>Accepts only .ttf file</label>

        <hr />

        <div class="select">
          <mat-form-field class="example" appearance="fill">
            <mat-label>Select Fonts</mat-label>
            <select matNativeControl #font>
              <option style="font-family: BodoniModa" value="BodoniModa">
                BodoniModa
              </option>
              <option style="font-family: Charmonman" value="Charmonman">
                Charmonman
              </option>
              <option style="font-family: ElMessiri" value="ElMessiri">
                ElMessiri
              </option>
              <option
                style="font-family: LibreCaslonDisplay"
                value="LibreCaslonDisplay"
              >
                LibreCaslonDisplay
              </option>
              <option style="font-family: NotoSerif" value="NotoSerif">
                NotoSerif
              </option>
              <option style="font-family: Parisienne" value="Parisienne">
                Parisienne
              </option>
              <option style="font-family: PinyonScript" value="PinyonScript">
                PinyonScript
              </option>
              <option style="font-family: PoiretOne" value="PoiretOne">
                PoiretOne
              </option>
              <option style="font-family: Poppins" value="Poppins">
                Poppins
              </option>
              <option style="font-family: Rajdhani" value="Rajdhani">
                Rajdhani
              </option>
              <option
                style="font-family: RobotoCondensed"
                value="RobotoCondensed"
              >
                RobotoCondensed
              </option>
              <option style="font-family: Tangerine" value="Tangerine">
                Tangerine
              </option>
              <option style="font-family: Spacemono" value="Spacemono">
                Spacemono
              </option>
              <option style="font-family: Arial" value="Arial">Arial</option>
              <option style="font-family: Cormorant" value="Cormorant">
                Cormorant
              </option>
              <option style="font-family: Eczar" value="Eczar">Eczar</option>
              <option style="font-family: Raleway" value="Raleway">
                Raleway
              </option>
              <option style="font-family: Inconsolata" value="Inconsolata">
                Inconsolata
              </option>
              <option style="font-family: OpenSans" value="OpenSans">
                OpenSans
              </option>
            </select>
          </mat-form-field>
          <button class="button" (click)="updateFont(font.value)">
            Change
          </button>
        </div>

        <hr />

        <h4>Add Signature / Logo</h4>
        <div class="select">
          <input
            type="file"
            style="width: 64%"
            #png
            accept=".png"
            (change)="selectSignature($event)"
          />
          <button
            class="button"
            *ngIf="!showSign"
            (click)="showsign(png.value)"
          >
            Show
          </button>
          <button
            class="buttonr"
            stye="background: red"
            *ngIf="showSign"
            (click)="showsign(png.value)"
          >
            Delete
          </button>
        </div>

        <br />

        <div class="select">
          <input
            type="file"
            style="width: 64%"
            #logo
            accept=".png"
            (change)="selectLogo($event)"
          />
          <button
            class="button"
            *ngIf="!showLogo"
            (click)="showlogo(logo.value)"
          >
            Show
          </button>
          <button
            class="buttonr"
            stye="background: red"
            *ngIf="showLogo"
            (click)="showlogo(logo.value)"
          >
            Delete
          </button>
        </div>
        <label for="">Accepts only .png file</label>

        <hr />

        <h4>Edit Font</h4>

        <div>
          <button id="rotate" (click)="rotate()">
            <img src="../assets/icons/icons8-reset-60.png" class="img" alt="" />
          </button>
          <button id="position" (click)="setposition()">
            <img src="../assets/icons/icons8-drag-60.png" class="img" alt="" />
          </button>

          <mat-form-field
            appearance="fill"
            style="margin-left: 20%"
            class="example-fulls"
          >
            <mat-label>Fontsize</mat-label>
            <mat-select #fontsi (selectionChange)="fontsizes(fontsi.value)">
              <mat-option *ngFor="let fontsize of fontSizes" [value]="fontsize">
                {{ fontsize }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>

        <div class="select" style="font-size: 16px">
          <mat-form-field class="example">
            <mat-label>Change Font Color</mat-label>
            <input
              matInput
              type="text"
              maxlength="6"
              placeholder="Accepts only HEX color format"
              #colors
            />
          </mat-form-field>
          <button class="button" (click)="color(colors.value)">Color</button>
        </div>
        <button
          id="pdfExport"
          [disabled]="myForm.invalid"
          class="export"
          (click)="exportss(pdf)"
        >
          Export
        </button>
      </form>
      <h6 #pdfNames id="pdfnames" style="visibility: hidden"></h6>
      <button
        id="singlePdf"
        class="k-button"
        (click)="pdf.saveAs('certificate.pdf')"
        style="visibility: hidden"
      ></button>
    </mat-sidenav>

    <mat-sidenav-content id="sidebar">
      <kendo-pdf-export
        id="mello"
        #pdf
        paperSize="auto"
        margin="0"
        [ngStyle]="{ 'text-transform': 'capitalize' }"
      >
        <div class="center">
          <div class="sidebar">
            <div id="parent">
              <div class="red">
                <img id="certificate" [src]="url" alt="" />
              </div>
              <h4 id="texts">Upload Certificate</h4>

              <p
                id="text"
                (click)="onClick($event)"
                class="green"
                cdkDrag
                [cdkDragDisabled]="setPosition"
                cdkDragBoundary=".sidebar"
                [cdkDragDisabled]="setPosition"
              ></p>

              <div
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                *ngIf="showSign"
                id="signature"
                class="styled"
              >
                <div class="example-handle" cdkDragHandle></div>
                <img style="width: 100%; height: 100%" [src]="signature" />
              </div>

              <div
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                *ngIf="showLogo"
                id="logo"
                class="styles"
                style="
                  position: absolute;
                  height: 200px;
                  width: 200px;
                  resize: both;
                  overflow: hidden;
                "
              >
                <div class="example-handle" cdkDragHandle></div>
                <img style="width: 100%; height: 100%" [src]="logos" />
              </div>

              <p
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                class="fields"
                (click)="onClick($event)"
                id="f1"
              ></p>
              <p
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                class="fields"
                (click)="onClick($event)"
                id="f2"
              ></p>
              <p
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                class="fields"
                (click)="onClick($event)"
                id="f3"
              ></p>
              <p
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                class="fields"
                (click)="onClick($event)"
                id="f4"
              ></p>
              <p
                [cdkDragDisabled]="setPosition"
                cdkDrag
                cdkDragBoundary=".sidebar"
                class="fields"
                (click)="onClick($event)"
                id="f5"
              ></p>
            </div>
          </div>
        </div>
      </kendo-pdf-export>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
